### Signal

# GdkPixbuf PixbufLoader::size-prepared

#### Declaration

    void
    size_prepared (
      GdkPixbufLoader* self,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the pixbuf loader has been fed the initial amount of data that is required to figure out the size of the image that it will create.

Applications can call `gdk_pixbuf_loader_set_size()` in response to this signal to set the desired size to which the image should be scaled.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`width`

  Type: `gint`

  The original width of the image.

`height`

  Type: `gint`

  The original height of the image.